org.apache.hadoop.yarn.server.api.protocolrecords

## Class SCMUploaderNotifyResponse

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.SCMUploaderNotifyResponse

- Direct Known Subclasses:
    SCMUploaderNotifyResponsePBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class SCMUploaderNotifyResponse
      extends Object

  The response from the SharedCacheManager to the NodeManager that indicates whether the NodeManager needs to delete the cached resource it was sending the notification for.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCMUploaderNotifyResponse()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `getAccepted()` Get whether or not the shared cache manager has accepted the notified resource (i.e.
    `abstract void` | `setAccepted(boolean b)` Set whether or not the shared cache manager has accepted the notified resource (i.e.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCMUploaderNotifyResponse

          public SCMUploaderNotifyResponse()

  - ### Method Detail

    - #### getAccepted

          public abstract boolean getAccepted()

      Get whether or not the shared cache manager has accepted the notified resource (i.e. the uploaded file should remain in the cache).
      Returns:
        boolean True if the resource has been accepted, false otherwise.

    - #### setAccepted

          public abstract void setAccepted(boolean b)

      Set whether or not the shared cache manager has accepted the notified resource (i.e. the uploaded file should remain in the cache).
      Parameters:
        `b` - True if the resource has been accepted, false otherwise.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.